# Download a File Retrieves details of the file(s) attached to the document (specified by typedId). Same behavior as POST /bdmanager.download/{typedId}/{binaryDataId}. If output=file is used, returns the binary file. Endpoint: GET /bdmanager.download/{typedId}/{binaryDataId} Security: basic, X-PriceFx-jwt ## Path parameters: - `typedId` (string, required) typedId of the document you want to download the attachment from. Example: "2147491329.Q" - `binaryDataId` (string, required) If the typedId is, for example, 1145.BD then the binaryDataId is 1145. Example: "1145" ## Query parameters: - `output` (string) Use file to download the binary content. ## Response 200 fields (application/json): - `response` (object) - `response.data` (array) - `response.data.version` (integer) - `response.data.typedId` (string) - `response.data.embeddedOwner` (string,null) - `response.data.fileName` (string) - `response.data.contentType` (string) - `response.data.length` (integer) - `response.data.userGroupEdit` (string,null) - `response.data.userGroupViewDetails` (string,null) - `response.data.createdByName` (string) - `response.data.lastUpdateByName` (string,null) - `response.data.latestUploadStatusId` (integer) - `response.data.sentViaEmail` (boolean) - `response.data.sender` (string,null) - `response.data.recipients` (string,null) - `response.data.createDate` (string) - `response.data.createdBy` (integer) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (integer) - `response.status` (integer)